kio Library: KURLBarListBox Class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KURLBarListBox Class Reference

This is the listbox used in KURLBar. More...

`#include <kurlbar.h>`

Inheritance diagram for KURLBarListBox:

[legend]
Collaboration diagram for KURLBarListBox:

[legend]
List of all members.

## Signals
void | dropped (QDropEvent *e)
## Public Member Functions
| KURLBarListBox (QWidget *parent=0, const char *name=0)
| ~KURLBarListBox ()
virtual void | setOrientation (Qt::Orientation orient)
Qt::Orientation | orientation () const
bool | isVertical () const
## Protected Member Functions
virtual QDragObject * | dragObject ()
virtual void | contentsDragEnterEvent (QDragEnterEvent *)
virtual void | contentsDropEvent (QDropEvent *)
virtual void | contextMenuEvent (QContextMenuEvent *)
virtual void | paintEvent (QPaintEvent *)
virtual void | virtual_hook (int id, void *data)

## Detailed Description

This is the listbox used in KURLBar.

It is a subclass of KListBox to support drag & drop and to set up the row / column mode.

The widget has just one row or one column, depending on orientation().

Author:
  Carsten Pfeiffer <pfeiffer@kde.org>

Definition at line 493 of file kurlbar.h.

## Constructor & Destructor Documentation

KURLBarListBox::KURLBarListBox | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`
| ) |

| Constructs a KURLBarListBox. Definition at line 818 of file kurlbar.cpp.

KURLBarListBox::~KURLBarListBox | ( |  | ) |

| Destroys the box. Definition at line 826 of file kurlbar.cpp.

## Member Function Documentation

void KURLBarListBox::setOrientation | ( | Qt::Orientation | orient | ) | `[virtual]`

| Sets the orientation of the widget. Horizontal means, all items are arranged in one row. Vertical means, all items are arranged in one column. See also: orientation Definition at line 874 of file kurlbar.cpp. References QListBox::setColumnMode(), and QListBox::setRowMode(). Referenced by KURLBar::setOrientation().

Qt::Orientation KURLBarListBox::orientation | ( |  | ) | const`[inline]`

| Returns: the current orientation. See also: setOrientation Definition at line 518 of file kurlbar.h. Referenced by KURLBar::orientation().

void KURLBarListBox::dropped | ( | QDropEvent * | e | ) | `[signal]`

| Emitted when a drop-event happened.

QDragObject * KURLBarListBox::dragObject | ( |  | ) | `[protected, virtual]`

| Returns: a suitable QDragObject when an item is dragged. Definition at line 838 of file kurlbar.cpp. References QValueList::append(), QListBox::firstItem(), QValueList::isEmpty(), and KURLBarItem::url().

The documentation for this class was generated from the following files:

- kurlbar.h
- kurlbar.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:25:42 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003